#!/bin/sh
# This is an install/update script.
# It was generated by Boxer with node "parl-greens"

set -e

# Workaround for dictionaries-common install failure (bug#751367)
apt-get install apt-utils
# Administration
#  * include package usage reporting Popularity-Contest
#  * include APT hook apt-listchanges
#  * include automated maintenance routines
# Desktop
#  * include desktop hardening helper tools
# Desktop email
#  * include Icedove email client
#  * include Icedove PGP plugin
#  * include Icedove email with sieve plugin
#  * include Icedove locales for European Union (except Maltese or Croatian)
# Desktop office
#  * include LibreOffice locales for European Union (except Maltese)
# Desktop web
#  * include Iceweasel web browser
#  * include Iceweasel security plugins
#  * include Iceweasel web browser
#  * include Iceweasel locales for European Union (except Maltese)
# Framework
#  * exclude WebKit GTK+ 1.0 library (used for maybe-risky PAC proxy parsing)
#  * exclude MIDI patches
# framework-crypto
#  * include GTK+ PIN entry interface for GnuPG
# framework-pkg
#  * include command-line and Curses APT frontend aptitude
# Hardware
#  * include support for Bluetooth hardware
#  * include OpenGL hardware rasterizers
#  * exclude OpenGL software rasterizers
#  * include low-level crypto hardening tools
#  * include core support for board with AMD E1-2500 (Kabini) APU and Jaguar CPU
#  * include support for Lenovo Edge 145 laptop
apt-get install acpi-support acpi-support-base apt-listchanges aptitude bluez enigmail firmware-linux-free gnome-disk-utility haveged icedove icedove icedove-l10n-bg icedove-l10n-cs icedove-l10n-da icedove-l10n-de icedove-l10n-el icedove-l10n-en-gb icedove-l10n-es-es icedove-l10n-et icedove-l10n-fi icedove-l10n-fr icedove-l10n-ga-ie icedove-l10n-hu icedove-l10n-it icedove-l10n-lt icedove-l10n-nl icedove-l10n-pl icedove-l10n-pt-pt icedove-l10n-ro icedove-l10n-sk icedove-l10n-sl icedove-l10n-sv-se iceweasel iceweasel iceweasel-l10n-bg iceweasel-l10n-cs iceweasel-l10n-da iceweasel-l10n-de iceweasel-l10n-el iceweasel-l10n-en-gb iceweasel-l10n-es-es iceweasel-l10n-et iceweasel-l10n-fi iceweasel-l10n-fr iceweasel-l10n-ga-ie iceweasel-l10n-hr iceweasel-l10n-hu iceweasel-l10n-it iceweasel-l10n-lt iceweasel-l10n-nl iceweasel-l10n-pl iceweasel-l10n-pt-pt iceweasel-l10n-ro iceweasel-l10n-sk iceweasel-l10n-sl iceweasel-l10n-sv-se libgl1-mesa-dri libreoffice-l10n-bg libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el libreoffice-l10n-en-gb libreoffice-l10n-es libreoffice-l10n-et libreoffice-l10n-fi libreoffice-l10n-fr libreoffice-l10n-ga libreoffice-l10n-hr libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-lt libreoffice-l10n-lv libreoffice-l10n-nl libreoffice-l10n-pl libreoffice-l10n-pt libreoffice-l10n-ro libreoffice-l10n-sk libreoffice-l10n-sl libreoffice-l10n-sv linux-image-amd64 ntp parcimonie pinentry-gtk2 popularity-contest task-laptop unattended-upgrades xserver-xorg xul-ext-certificatepatrol xul-ext-cookie-monster xul-ext-flashblock xul-ext-noscript xul-ext-refcontrol xul-ext-requestpolicy xul-ext-sieve \
 bluez-cups- cpufrequtils- cups- freepats- hpijs- hplip- libgl1-mesa-swx11- libwebkitgtk-1.0-0- printer-driver-all-

# Administration
#  * define routines to make backup of and help edit config files
#  * auto-repair inconsistent filesystems during boot
# Hardware
#  * sleep when lid is closed
#  * modernize logic of WiFi/Bluetooth radio on/off button
suite=wheezy
apt-mark auto \
  acpi-support-base aptitude-common bluetooth || true
 _backup(){ set -e;\
  if [ -e "$1.orig" ]; then \
    :;\
  elif [ -e "$1" ]; then \
    cp -a "$1" "$1.orig";\
  else \
    touch "$1.orig";\
  fi; };\
 _clone(){ set -e;\
  _backup "$2";\
  cp -a "$1" "$2"; };\
 _setvar(){ set -e;\
  _backup "$1";\
  sed -i -r \
    -e "s,^#?($2)=.*,\\1=$3," "$1"; };\
 _setvar /etc/default/acpi-support LID_SLEEP true;\
 _setvar /etc/default/acpi-support WIRELESS_BLUETOOTH_SYNC true;\
 _setvar /etc/default/rcS FSCKFIX yes
